Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class OctreeIntersectionProcessor

    java.lang.Object
      de.grogra.ray.intersection.OctreeIntersectionProcessor

All Implemented Interfaces:
  IntersectionProcessor

    public class OctreeIntersectionProcessor

extends java.lang.Object
implements IntersectionProcessor

Constructor Summary
`OctreeIntersectionProcessor()`

Method Summary
`void` | `cleanupProcessing()`
`void` | `getAdditionColor(Ray ray, Color4f color)`
`boolean` | `getFirstIntersectionDescription_infiniteObjects(Ray ray, RayContext context, IntersectionDescription desc)`
`boolean` | `getFirstIntersectionDescription_noInfiniteObjects(Ray ray, RayContext context, IntersectionDescription desc)`
`boolean` | `getFirstIntersectionDescription(Ray ray, RayContext context, IntersectionDescription desc)`
`float` | `getFirstIntersectionT_infiniteObjects(Ray ray, RayContext context)`
`float` | `getFirstIntersectionT_noInfiniteObjects(Ray ray, RayContext context)`
`float` | `getFirstIntersectionT(Ray ray, RayContext context)`
`void` | `prepareProcessing(RTScene sceneGraph)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctreeIntersectionProcessor

    public OctreeIntersectionProcessor()

Method Detail

### cleanupProcessing

    public void cleanupProcessing()

  Specified by:
    `cleanupProcessing` in interface `IntersectionProcessor`

### getAdditionColor

    public void getAdditionColor(Ray ray,
                                 Color4f color)

### getFirstIntersectionDescription_infiniteObjects

    public boolean getFirstIntersectionDescription_infiniteObjects(Ray ray,
                                                                   RayContext context,
                                                                   IntersectionDescription desc)

### getFirstIntersectionDescription_noInfiniteObjects

    public boolean getFirstIntersectionDescription_noInfiniteObjects(Ray ray,
                                                                     RayContext context,
                                                                     IntersectionDescription desc)

### getFirstIntersectionDescription

    public boolean getFirstIntersectionDescription(Ray ray,
                                                   RayContext context,
                                                   IntersectionDescription desc)

  Specified by:
    `getFirstIntersectionDescription` in interface `IntersectionProcessor`

### getFirstIntersectionT_infiniteObjects

    public float getFirstIntersectionT_infiniteObjects(Ray ray,
                                                       RayContext context)

### getFirstIntersectionT_noInfiniteObjects

    public float getFirstIntersectionT_noInfiniteObjects(Ray ray,
                                                         RayContext context)

### getFirstIntersectionT

    public float getFirstIntersectionT(Ray ray,
                                       RayContext context)

  Specified by:
    `getFirstIntersectionT` in interface `IntersectionProcessor`

### prepareProcessing

    public void prepareProcessing(RTScene sceneGraph)

  Specified by:
    `prepareProcessing` in interface `IntersectionProcessor`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD